API referenceBook
POST /api/Book/GetByFolderId
A Folder id should be passed in the request body, and the API returns a list of Books that corresponds to the Folder.
POST
/api/Book/GetByFolderIdcurl -X POST "/api/Book/GetByFolderId" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": 1
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger<int32>
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.PortfolioManagement.BookApiDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string",
"folderId": 0,
"memo": "string"
}
]
}